<template>
  <timeout-modal ref="timeoutModal">
    <div
      id="overlay"
      slot="timeout">
      <section
        id="timeoutwindow"
        class="modalwindow"
        data-control="Popup">
        <div class="windowcontent">
          <h2>Are you still there?</h2>
          <p>Move the mouse or tap screen to extend your session.</p>
          <!-- <div class="popupbuttoncontainer continuebutton">
            <div class="popupbtn buttonleft"></div>
            <div
              @click="extendSession"
              class="popupbtn buttonmiddle">Continue</div>
            <div class="popupbtn buttonright"></div>
            <div class="clear"></div>
          </div> -->
        </div>
      </section>
    </div>
  </timeout-modal>
</template>

<script>
import TimeoutModal from "../../../shared/views/ShopModal.vue";
export default {
  components: {
    TimeoutModal
  },
  props: {
    showModal: Boolean
  },
  data() {
    return {
      timeoutID: null
    };
  },
  mounted: function() {
    this.displayModal();
  },
  beforeDestroy: function() {
    clearTimeout(this.timeoutID);
  },
  methods: {
    displayModal() {
      if(this.showModal) {
        this.$refs.timeoutModal.Open();
        this.timeoutID = setTimeout(() => {
          this.$refs.timeoutModal.Close();
          this.$emit("logout");
        }, 8000);
      }
    },
    extendSession() {
      this.$emit("extend-session");
      this.$refs.timeoutModal.Close();
    }
  },
  // updated: function () {
  //   this.displayModal();
  // }
};
</script>

<style>

</style>
